Package com.independentsoft.office.odf.styles

# Enum Class LineType

java.lang.Object
java.lang.Enum<LineType>
com.independentsoft.office.odf.styles.LineType

All Implemented Interfaces:
  `Serializable`, `Comparable<LineType>`, `Constable`

public enum LineType extends Enum<LineType>
Represents whether a leader line should be drawn, and if so, whether a single or double line will be used.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOUBLE`
  A double line is drawn.
  `NONE`
  No line is drawn.
  `SINGLE`
  A single line is drawn.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LineType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LineType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SINGLE

    public static final LineType SINGLE
    A single line is drawn.

  - ### DOUBLE

    public static final LineType DOUBLE
    A double line is drawn.

  - ### NONE

    public static final LineType NONE
    No line is drawn.

- ## Method Details

  - ### values

    public static LineType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LineType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null